Bug 121274 - Remote computer can upload arbitrary files to user's home directory.
Remote computer can upload arbitrary files to user's home directory.
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: gnome-bluetooth (Show other bugs)
2
All Linux
medium Severity medium
: ---
: ---
Assigned To: Harald Hoyer
: Security
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-04-19 18:21 EDT by David Woodhouse
Modified: 2007-11-30 17:10 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-07-28 09:04:01 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description David Woodhouse 2004-04-19 18:21:22 EDT
When gnome-obex-server is running, a remote device can upload
arbitrary files (such as a .rhosts file) to the home directory.

Rather than silently dumping files into the home directory (or indeed
any directory), gnome-obex-server should bring up a dialogue box
stating what has been received, and asking what to do with it (save
as, open with...) just as we'd do with an email attachment.

At least it should dump to its own directory rather than $HOME.

Note You need to log in before you can comment on or make changes to this bug.